---json
{
  "title": "Filtering podcast feeds",
  "date": "2024-08-05T06:57:24.034Z",
  "tags": [
    "rss",
    "podcast"
  ],
  "excerpt": "I subscribe to some Patreon podcast feeds, which often contain lots of content that I don't want to listen to right now. After trying a few workarounds, I found a tool that lets me filter the feeds and just receive the episodes I care about"
}
---

I like listening to podcasts. In particular, I've been binging [Dungeons & Daddies](https://www.dungeonsanddaddies.com)[^1] for the last few weeks. To speed things up, I subscribed to the Patreon to get the ad-free episodes, but along with those you also get loads of other content. It's all great, but as I've been trying to catch up on the main series, I've been skipping the bonus episodes. In an ideal world, I'd be able to just filter out the content I don't want, but Apple Podcasts doesn't let me do that.

I looked at a few options, and for a while I was manually adding each new episode to my "Up next" queue, which is fine until you restart your phone. I tried a couple of other podcast apps, but none really had the level of filtering that I wanted. Basically, all of the "main" episodes start with the tag `[No Ads]`, so I just want to filter out anything that doesn't start with that.

Of course, podcast feeds are esentially just RSS feeds, so I found an online tool for filtering RSS feeds. [SiftRSS](https://siftrss.com) is pretty straightforward, you pass the RSS feed URL, define what you want to filter based on (e.g. title, description, link), and whether to include or exclude based on that filter. It then produces a new RSS feed URL that you can subscribe to.

There are _some_ issues with this approach, namely that my Patron feed URL has authentication built into it and I shouldn't allow it to leak. In an ideal world I'd be using this as a self-hosted solution, but for now this works well enough. I then just added the new feed to Apple Podcasts and it's been working really well so far. There's not really a perceptible difference in the time it takes to get new episodes directly from the feed, and from SiftRSS.

[^1]: It's not a BDSM podcast